Bug 498284 - fujitsu hdd: Bogus bad sector disk failure working in desktop livecd
fujitsu hdd: Bogus bad sector disk failure working in desktop livecd
Product: Fedora
Classification: Fedora
Component: libatasmart (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-04-29 13:52 EDT by Jef Spaleta
Modified: 2009-05-06 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-06 15:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
devkit-disks --dump' (21.85 KB, text/plain)
2009-04-29 14:42 EDT, Jef Spaleta
no flags Details
devkit-disks --show-info /dev/sda (3.64 KB, text/plain)
2009-04-29 14:43 EDT, Jef Spaleta
no flags Details
skdump /dev/sda (2.33 KB, text/plain)
2009-04-29 14:43 EDT, Jef Spaleta
no flags Details
gvfs-mount -li as user (2.19 KB, text/plain)
2009-04-29 14:44 EDT, Jef Spaleta
no flags Details
cat /proc/self/mountinfo (1.24 KB, text/plain)
2009-04-29 14:45 EDT, Jef Spaleta
no flags Details
skdump --save=skdump-output /dev/sda (1.54 KB, application/octet-stream)
2009-04-29 14:47 EDT, Jef Spaleta
no flags Details

  None (edit)
Description Jef Spaleta 2009-04-29 13:52:58 EDT
Description of problem:
Using preview image, disk applet tells me my harddrive is failing due to bad sectors.

Clicking details and I find the failing item to be:

ID: 197
Attribute: Current Pending Sector Count
Current: 100
Worst: 100
Threshold: 0
Value: -48103422 Sectors
Type: Old-age
Updates: Online

It looks like a bogus number to me. 

Version-Release number of selected component (if applicable):

How reproducible:
Use preview desktop livecd

Additional info:

The drive is a 120 GB ATA Fujitsu MHY2120B  according to the utility.

I'm going to boot back into F9 and see if smartctl under f9 gives the same info.

Comment 1 Jef Spaleta 2009-04-29 13:57:39 EDT
More info:
smartctl -a /dev/sda  

No obvious failure in the output associated with ID 197.

Here's the transcribed line for 197:

197 Current_Pending_Secotr 0x0032 100 100 000 Old_age Always - 120173136838658

Is it perhaps that the raw_value is too large for the disk utility and it wraps into a negative number?

let me know if you need more info

Comment 2 David Zeuthen 2009-04-29 14:01:29 EDT
Please include the info requested here

Comment 3 Jef Spaleta 2009-04-29 14:42:40 EDT
Created attachment 341817 [details]
devkit-disks --dump'
Comment 4 Jef Spaleta 2009-04-29 14:43:20 EDT
Created attachment 341818 [details]
devkit-disks --show-info /dev/sda
Comment 5 Jef Spaleta 2009-04-29 14:43:53 EDT
Created attachment 341819 [details]
skdump /dev/sda
Comment 6 Jef Spaleta 2009-04-29 14:44:44 EDT
Created attachment 341820 [details]
gvfs-mount -li  as user
Comment 7 Jef Spaleta 2009-04-29 14:45:20 EDT
Created attachment 341822 [details]
cat /proc/self/mountinfo
Comment 8 Jef Spaleta 2009-04-29 14:47:56 EDT
Created attachment 341823 [details]
skdump --save=skdump-output /dev/sda
Comment 9 Jef Spaleta 2009-04-29 14:48:23 EDT
Let me know if you need anything else.

Comment 10 Lennart Poettering 2009-04-29 15:45:03 EDT
Which version of libatasmart is this?
Comment 11 Jef Spaleta 2009-04-29 16:46:12 EDT

I should change the summary to say F11 preview, I buried that in the more verbose description text.

Comment 12 Lennart Poettering 2009-04-29 22:48:21 EDT
Hmm, the power on time libatasmart decodes is 14.8 years. Is that realistic? Probably not, right? Is 4.5 years more realistic? Probably neither?

Are the 493 power cycles realistic?

Hmm, weird beast this drive. Nothing seems to make sense.
Comment 13 Lennart Poettering 2009-04-29 22:52:33 EDT
Hmm, in my little database of SMART data from weird drives we already have an entry from a FUJITSU MHY2120BH drive, although a different firmware version. And it has completely different attributes. And after some minor fixing on our side they now are properly parsed but apparently need some completely different rules than yours.

Weird, weird, weird.
Comment 14 Jef Spaleta 2009-04-30 01:01:26 EDT
factory installed on a dell inspiron notebook..about a year old now i think.

Comment 15 Lennart Poettering 2009-05-06 15:21:18 EDT
Fixed now in 0.12-3.


This release simply disables decoding of attributes 9, 196, and 197 since those fields seem to be invalidly encoded on your drive.

If you care enough you might want to invest some time in figuring out what exactly happens here, and if it is possible to come to sensible results with slightly different decoding. Attribute 9 probably *is* the power-on time, but somehow strangely encoded. Given that this must be increasing lineraly with wallclock time you might be able to figure out what is going on. Just look at the 'raw data' column of skdump's output and try your luck.

Also note that I have SMART data of another drive of the same model as yours, however with a different firmware version (0084000D instead of 0085000B). Not sure which firmware is the newer one, though (i.e. is B/D or 84/85 what matters?). The other firmware has a lot more attributes which are all decoded correctly. I am thus tempted to say that the the other firmware is newer and you might be able to fix this issues properly by updating your drive's firmware.

Anyway, libatasmart doesn't choke on this anymore, so I am closing the bug. If you find something out about the SMART encoding on your drive you know where you can reach me. ;-)
Comment 16 Jef Spaleta 2009-05-06 15:32:49 EDT

I'll look at flashing the harddrive firmware...i've never had a compelling reason to do that before. It's probably the firmware for sure.

I can only imagine how many other real-world drives have this sort of weirdness.  Generally speaking is this going to be widespread enough that there going to be a need for a hardware specific quirks collection or a way to systematically collect odd failure dumps like mine to figure out which drive/firmware is producing reliable info? 

Comment 17 Lennart Poettering 2009-05-06 16:20:46 EDT
libatasmart includes a quirk database. I mostly imported it from smartmontools but it also has a handful of new entries now.

Since we pushed dk-disks into F11 we only had three reported cases where we needed to update the quirk database, including your case. Three cases is not that much I'd say. We'll see how that will change when F11 is released but for now i am quite confident that the amount of quirks necessary won't increase drastically.

Note You need to log in before you can comment on or make changes to this bug.